Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class Binding

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.Binding

All Implemented Interfaces:
  IBinding

    public class Binding

extends java.lang.Object
implements IBinding

Constructor Summary
`Binding(java.lang.String name)`
`Binding(java.lang.String name, IBaseExpression expr)`

Method Summary
`void` | `addAggregateOn(java.lang.String levelName)` Add aggregate on to the binding.
`void` | `addArgument(IBaseExpression expr)`
`void` | `addArgument(java.lang.String name, IBaseExpression expr)` Add a binding argument.
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `exportable()` Imply whether the data of this binding should be candidate for data exportation.
`java.util.List` | `getAggregatOns()` Get the aggregate target group(s) of the binding.
`java.lang.String` | `getAggrFunction()` Return the binding aggregation function.
`java.util.List` | `getArguments()` Get the arguments of the binding.
`java.lang.String` | `getBindingName()` Return the name of the binding.
`int` | `getDataType()` Return the target data type of the binding.
`java.lang.String` | `getDisplayName()` Return the display name of the binding.
`IBaseExpression` | `getExpression()` Get the expression of the binding.
`IBaseExpression` | `getFilter()` Return the binding aggregation filter.
`int` | `hashCode()`
`void` | `setAggrFunction(java.lang.String functionName)` Set the binding aggregation function.
`void` | `setDataType(int type)` Set the binding data type.
`void` | `setDisplayName(java.lang.String displayName)` Set the display name of the binding.
`void` | `setExportable(boolean exportable)` Set whether the binding is exportable.
`void` | `setExpression(IBaseExpression expr)` Set the expression of the binding.
`void` | `setFilter(IBaseExpression expr)` Add a binding aggregation filter.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Binding

    public Binding(java.lang.String name)

### Binding

    public Binding(java.lang.String name,
                   IBaseExpression expr)

Method Detail

### addAggregateOn

    public void addAggregateOn(java.lang.String levelName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Description copied from interface: `IBinding`
  Add aggregate on to the binding.

  Specified by:
    `addAggregateOn` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addArgument

    public void addArgument(IBaseExpression expr)

  Specified by:
    `addArgument` in interface `IBinding`

### addArgument

    public void addArgument(java.lang.String name,
                            IBaseExpression expr)

  Description copied from interface: `IBinding`
  Add a binding argument.

  Specified by:
    `addArgument` in interface `IBinding`

### getAggrFunction

    public java.lang.String getAggrFunction()

  Description copied from interface: `IBinding`
  Return the binding aggregation function.

  Specified by:
    `getAggrFunction` in interface `IBinding`
  Returns:

### getAggregatOns

    public java.util.List getAggregatOns()

  Description copied from interface: `IBinding`
  Get the aggregate target group(s) of the binding. When doing tabular query, the target group name of the aggregation is returned. When doing cube query, the target column/row/page dimension level is returned.

  Specified by:
    `getAggregatOns` in interface `IBinding`
  Returns:

### getArguments

    public java.util.List getArguments()
                                throws org.eclipse.birt.data.engine.core.DataException

  Description copied from interface: `IBinding`
  Get the arguments of the binding. This is only used when the binding is an aggregate binding.

  Specified by:
    `getArguments` in interface `IBinding`
  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getDataType

    public int getDataType()

  Description copied from interface: `IBinding`
  Return the target data type of the binding.

  Specified by:
    `getDataType` in interface `IBinding`
  Returns:

### getFilter

    public IBaseExpression getFilter()

  Description copied from interface: `IBinding`
  Return the binding aggregation filter.

  Specified by:
    `getFilter` in interface `IBinding`
  Returns:

### setAggrFunction

    public void setAggrFunction(java.lang.String functionName)

  Description copied from interface: `IBinding`
  Set the binding aggregation function.

  Specified by:
    `setAggrFunction` in interface `IBinding`

### setDataType

    public void setDataType(int type)

  Description copied from interface: `IBinding`
  Set the binding data type.

  Specified by:
    `setDataType` in interface `IBinding`

### setExpression

    public void setExpression(IBaseExpression expr)

  Description copied from interface: `IBinding`
  Set the expression of the binding.

  Specified by:
    `setExpression` in interface `IBinding`

### setFilter

    public void setFilter(IBaseExpression expr)

  Description copied from interface: `IBinding`
  Add a binding aggregation filter.

  Specified by:
    `setFilter` in interface `IBinding`

### getBindingName

    public java.lang.String getBindingName()

  Description copied from interface: `IBinding`
  Return the name of the binding.

  Specified by:
    `getBindingName` in interface `IBinding`
  Returns:

### getExpression

    public IBaseExpression getExpression()

  Description copied from interface: `IBinding`
  Get the expression of the binding.

  Specified by:
    `getExpression` in interface `IBinding`
  Returns:
  See Also:
    `IBinding.getExpression()`

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws org.eclipse.birt.data.engine.core.DataException

  Description copied from interface: `IBinding`
  Return the display name of the binding.

  Specified by:
    `getDisplayName` in interface `IBinding`
  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`
  See Also:
    `IBinding.getDisplayName()`

### setDisplayName

    public void setDisplayName(java.lang.String displayName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Description copied from interface: `IBinding`
  Set the display name of the binding.

  Specified by:
    `setDisplayName` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`
  See Also:
    `IBinding.setDisplayName(String)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### exportable

    public boolean exportable()
                       throws org.eclipse.birt.data.engine.core.DataException

  Description copied from interface: `IBinding`
  Imply whether the data of this binding should be candidate for data exportation.

  Specified by:
    `exportable` in interface `IBinding`
  Returns:
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setExportable

    public void setExportable(boolean exportable)
                       throws org.eclipse.birt.data.engine.core.DataException

  Description copied from interface: `IBinding`
  Set whether the binding is exportable.

  Specified by:
    `setExportable` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.